#include <bits/stdc++.h>

using namespace std;


long long int a, b, c;
int main()
{
    int sa[20],sb[20],sc[20];
    int uk[6][60];
    static int na, nb,nc;
    scanf("%lld", &a);
    scanf("%lld", &b);
    scanf("%lld", &c);
    while(a>0)
    {
        int d=a%10;
        a/=10;
        sa[na]=d;
        na++;
    }
    while(b>0)
    {
        int d=b%10;
        b/=10;
        sb[nb]=d;
        nb++;
    }
    while(c>0)
    {
        int d=c%10;
        c/=10;
        sc[nc]=d;
        nc++;
    }
    for(int i=0; i<na; i++)
    {
        uk[0][i]=sa[na-1-i];
        uk[1][i]=sa[na-1-i];
        uk[2][nb+nc+i]=sa[na-1-i];
        uk[3][nb+i]=sa[na-1-i];
        uk[4][nc+i]=sa[na-1-i];
        uk[5][nb+nc+i]=sa[na-1-i];
    }
    for(int i=0; i<nb; i++)
    {
        uk[2][i]=sb[nb-1-i];
        uk[3][i]=sb[nb-1-i];
        uk[1][na+nc+i]=sb[nb-1-i];
        uk[5][nc+i]=sb[nb-1-i];
        uk[0][na+i]=sb[nb-1-i];
        uk[4][na+nc+i]=sb[nb-1-i];
    }
    for(int i=0; i<nc; i++)
    {
        uk[4][i]=sc[nc-1-i];
        uk[5][i]=sc[nc-1-i];
        uk[3][nb+na+i]=sc[nc-1-i];
        uk[1][na+i]=sc[nc-1-i];
        uk[2][nb+i]=sc[nc-1-i];
        uk[0][nb+na+i]=sc[nc-1-i];
    }
    int n=na+nb+nc;
    int maxa[60];
    for(int i=0; i<n; i++)
    {
        maxa[i]=uk[0][i];
    }
    static int premali[6];
    for(int j=1; j<6; j++)
    {
        for(int i=0; i<n; i++)
        {
            if(uk[j][i]>maxa[i] && premali[j]==0)
            {
                for(int k=0; k<n; k++)
                {
                    maxa[k]=uk[j][k];
                }
            }
            else if(uk[j][i]<maxa[i]) premali[j]=1;

        }
    }
    for(int i=0; i<n; i++)
    {
        printf("%d", maxa[i]);
    }
    return 0;
}